## rb-header

rb-header —

## Synopsis

    typedef     RBHeaderPrivate;
    RBHeader*   rb_header_new                   (RBPlayer *player);
    void        rb_header_set_playing_entry     (RBHeader *player,
                                                 RhythmDBEntry *entry);
    void        rb_header_set_title             (RBHeader *player,
                                                 const char *title);
    void        rb_header_set_show_artist_album (RBHeader *player,
                                                 gboolean show);
    void        rb_header_set_urldata           (RBHeader *player,
                                                 const char *urltext,
                                                 const char *urllink);
    void        rb_header_sync                  (RBHeader *player);
    gboolean    rb_header_sync_time             (RBHeader *player);
    char*       rb_header_get_elapsed_string    (RBHeader *player);

## Description

## Details

### RBHeaderPrivate

    typedef struct RBHeaderPrivate RBHeaderPrivate;

### rb_header_new ()

    RBHeader*   rb_header_new                   (RBPlayer *player);

`player` : |
Returns : |

### rb_header_set_playing_entry ()

    void        rb_header_set_playing_entry     (RBHeader *player,
                                                 RhythmDBEntry *entry);

`player` : |
`entry` : |

### rb_header_set_title ()

    void        rb_header_set_title             (RBHeader *player,
                                                 const char *title);

`player` : |
`title` : |

### rb_header_set_show_artist_album ()

    void        rb_header_set_show_artist_album (RBHeader *player,
                                                 gboolean show);

`player` : |
`show` : |

### rb_header_set_urldata ()

    void        rb_header_set_urldata           (RBHeader *player,
                                                 const char *urltext,
                                                 const char *urllink);

`player` : |
`urltext` : |
`urllink` : |

### rb_header_sync ()

    void        rb_header_sync                  (RBHeader *player);

`player` : |

### rb_header_sync_time ()

    gboolean    rb_header_sync_time             (RBHeader *player);

`player` : |
Returns : |

### rb_header_get_elapsed_string ()

    char*       rb_header_get_elapsed_string    (RBHeader *player);

`player` : |
Returns : |